/*
 * DC Motor driver for LEGO MINDSTORMS EV3
 *
 * Copyright (C) 2015 David Lechner <david@lechnology.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

/* THIS FILE IS NOT COMPILED! IT IS JUST FOR AUTOMATIC DOCUMENTATION GENERATION. */

/*
 * Documentation is automatically generated from this struct, so formatting is
 * very important. Make sure any new motors have the same syntax. The comments
 * are also parsed to provide more information for the documentation. The
 * parser can be found in the ev3dev-kpkg repository.
 */

const struct rcx_motor_info rcx_motor_defs[] = {
	[LEGO_9V_MICROMOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 70823
		 * @vendor_part_name: Motor 9V Micromotor
		 * @vendor_website: https://rebrickable.com/parts/2986
		 */
		.name			= "rcx-motor",
	},
	[LEGO_9V_MINI_MOTOR_NEWER] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 43362
		 * @vendor_part_name: Motor 9V Mini-motor, newer lighter weight
		 * @vendor_website: http://rebrickable.com/parts/43362c01
		 */
		.name			= "rcx-motor",
	},
	[LEGO_9V_MINI_MOTOR_OLDER] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 71427
		 * @vendor_part_name: Motor 9V Mini-motor, older heavier weight
		 * @vendor_website: http://rebrickable.com/parts/71427c01
		 */
		.name			= "rcx-motor",
	},
	[LEGO_9V_GEARED] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 47154
		 * @vendor_part_name: Technic Motor 9V Geared 
		 * @vendor_website: http://rebrickable.com/parts/44486c02
		 */
		.name			= "rcx-motor",
	},
	[LEGO_TECHNIC_MOTOR_9V] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 74569
		 * @vendor_part_name: Technic Motor 9V
		 * @vendor_website: http://rebrickable.com/parts/2838c01
		 */
		.name			= "rcx-motor",
	},
	[LEGO_PF_E_MOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 9670
		 * @vendor_part_name: E-Motor
		 * @vendor_website: https://education.lego.com/en-us/products/e-motor/9670
		 */
		.name			= "rcx-motor",
	},
	[LEGO_PF_L_MOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 88003
		 * @vendor_part_name: Power Functions L-Motor
		 * @vendor_website: http://shop.lego.com/en-US/Power-Functions-L-Motor-88003
		 */
		.name			= "rcx-motor",
	},
	[LEGO_PF_M_MOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 8883
		 * @vendor_part_name: Power Functions M-Motor
		 * @vendor_website: http://shop.lego.com/en-US/LEGO-Power-Functions-M-Motor-8883
		 */
		.name			= "rcx-motor",
	},
	[LEGO_PF_SERVO_MOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 88004
		 * @vendor_part_name: Power Functions Servo Motor
		 * @vendor_website: http://shop.lego.com/en-US/Power-Functions-Servo-Motor-88004
		 */
		.name			= "rcx-motor",
	},
	[LEGO_PF_TRAIN_MOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 88002
		 * @vendor_part_name: Power Functions Train Motor
		 * @vendor_website: http://shop.lego.com/en-US/LEGO-Power-Functions-Train-Motor-88002
		 */
		.name			= "rcx-motor",
	},
	[LEGO_PF_XL_MOTOR] = {
		/**
		 * @vendor_name: LEGO
		 * @vendor_part_number: 8882
		 * @vendor_part_name: Power Functions XL-Motor
		 * @vendor_website: http://shop.lego.com/en-US/LEGO-Power-Functions-XL-Motor-8882
		 */
		.name			= "rcx-motor",
	},
};
